opus_types.h(3)

NAME
opus_types.h - Opus reference implementation types.

SYNOPSIS

  Macros

#define opus_int int /* used for counters etc; at least 16 bits */
#define opus_int64 long long
#define opus_int8 signed char
#define opus_uint unsigned int /* used for counters etc; at least 16 bits */
#define opus_uint64 unsigned long long
#define opus_uint8 unsigned char

  Typedefs

typedef short opus_int16
typedef unsigned short opus_uint16
typedef int opus_int32
typedef unsigned int opus_uint32

Detailed Description

Opus reference implementation types.

Macro Definition Documentation

  #define opus_int int /* used for counters etc; at least 16 bits */

  #define opus_int64 long long

  #define opus_int8 signed char

  #define opus_uint unsigned int /* used for counters etc; at least 16 bits */

  #define opus_uint64 unsigned long long

  #define opus_uint8 unsigned char

Typedef Documentation

  typedef short opus_int16

  typedef int opus_int32

  typedef unsigned short opus_uint16

  typedef unsigned int opus_uint32

Author

Generated automatically by Doxygen for Opus from the source code.